LINUX.ORG.RU

про glibc


0

0

при установке некоторых rpm пакетов, есть неудовлетворённые зависимости. Вот например.

        ld-linux.so.2 нужен для intel-icc9-9.0-021
        libc.so.6 нужен для intel-icc9-9.0-021
        libdl.so.2 нужен для intel-icc9-9.0-021
        libm.so.6 нужен для intel-icc9-9.0-021
        libpthread.so.0 нужен для intel-icc9-9.0-021
        libc.so.6(GLIBC_2.0) нужен для intel-icc9-9.0-021
        libc.so.6(GLIBC_2.1) нужен для intel-icc9-9.0-021
        libc.so.6(GLIBC_2.1.3) нужен для intel-icc9-9.0-021
        libc.so.6(GLIBC_2.2) нужен для intel-icc9-9.0-021
        libdl.so.2(GLIBC_2.0) нужен для intel-icc9-9.0-021
        libdl.so.2(GLIBC_2.1) нужен для intel-icc9-9.0-021
        libpthread.so.0(GLIBC_2.0) нужен для intel-icc9-9.0-021
        libpthread.so.0(GLIBC_2.1) нужен для intel-icc9-9.0-021
        libpthread.so.0(GLIBC_2.2) нужен для intel-icc9-9.0-021
        libpthread.so.0(Gglibc-solibs-2.3.2-i486-6.tgz (GLIBC_2.2.3) нужен для intel-icc9-9.0-021

Но во первых из дистрибутива я поставил вот эти пакеты:

glibc-solibs-2.3.2-i486-6.tgz
glibc-zoneinfo-2.3.2-noarch-6.tgz

Во вторых, только что скомпилил и поставил glibc-2.3.5

Чё нужно ещё?

Ответ на: Re: про glibc от kostian

Re: про glibc

Ага нашёл rpm2tgz и прочитал. Вроде всё понятно. Только не понятно зачем в слаке поддерживается команда rpm. И второе это проверяет ли installpkg зависимости?

letopisec ()
Ответ на: Re: про glibc от letopisec

Re: про glibc

> Только не понятно зачем в слаке поддерживается команда rpm.

ну еще может прокатить rpm --nodeps(или чтото в этом роде) да и малоли что...

> И второе это проверяет ли installpkg зависимости?

нет

kostian ★★★★☆ ()
Ответ на: Re: про glibc от kostian

Re: про glibc

хм... А как узнать чего не хватает проге? Вдруг не та версия какой нибудь библиотеки или ещё что. Отследить-то очень трудно получается.

letopisec ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.